/* 変数管理システム */
#include "deftype.h"
#include "vsiki.h"
#include "acdata.h"

int var_nkchk(VARSYS *var,void (*func)(unchar *))
/* 未確定変数チェック */
{
int j,len,count=0;
unchar md;
long p=VTOP;
	for (j=0;j<var->vlots;j++) {
		len=var->vwork[p++]; /* 変数名長 */
		md =var->vwork[p++]; /* 変数type */
		p+=LLONG; /* skip数値 */
		if (md&VKAKU) {
			if (func!=NULL) func(&var->vwork[p]);
			count++;
		}
		p+=(len+1);
	}
	return(count);
}
